use std::error::Error;
use std::path::PathBuf;
use crate::service::ServiceManager;

pub struct WindowsServiceManager {}
impl ServiceManager for WindowsServiceManager {
    fn install(&self, _bin_path: PathBuf, _name: &str, _server_url: &str) -> Result<(), Box<dyn Error>> {
        todo!()
    }

    fn uninstall(&self, _name: &str) -> Result<(), Box<dyn Error>> {
        todo!()
    }

    fn start(&self, _name: &str) -> Result<(), Box<dyn Error>> {
        todo!()
    }

    fn stop(&self, _name: &str) -> Result<(), Box<dyn Error>> {
        todo!()
    }
}